<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db2.TaskDistrictParamMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db2.TaskDistrictParam">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_name" property="createName" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_name" property="modifyName" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="district_id" property="districtId" />
        <result column="property_id" property="propertyId" />
        <result column="agent_id" property="agentId" />
        <result column="district_name" property="districtName" />
        <result column="property_name" property="propertyName" />
        <result column="agent_name" property="agentName" />
        <result column="task_no" property="taskNo" />
        <result column="common_limit" property="commonLimit" />
        <result column="special_limit" property="specialLimit" />
        <result column="urgent_limit" property="urgentLimit" />
        <result column="user_rest_duration" property="userRestDuration" />
        <result column="beacon_no" property="beaconNo" />
        <result column="wage_base" property="wageBase" />
        <result column="point" property="point" />
        <result column="op_user_id" property="opUserId" />
        <result column="op_user_name" property="opUserName" />
        <result column="op_time" property="opTime" />
        <result column="memo" property="memo" />
        <result column="dev_task_flag" property="devTaskFlag" />
        <result column="duty_task_flag" property="dutyTaskFlag" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_name, create_time, modify_id, modify_name, modify_time, soft_delete, district_id, property_id, agent_id, district_name, property_name, agent_name, task_no, common_limit, special_limit, urgent_limit, user_rest_duration, beacon_no, wage_base, point, op_user_id, op_user_name, op_time, memo, dev_task_flag, duty_task_flag
    </sql>

</mapper>
